org.apache.flume.thrift

## Class ThriftSourceProtocol.appendBatch_result

- java.lang.Object
- - org.apache.flume.thrift.ThriftSourceProtocol.appendBatch_result

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<ThriftSourceProtocol.appendBatch_result>, org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>
  Enclosing class:
    ThriftSourceProtocol

      public static class ThriftSourceProtocol.appendBatch_result
      extends Object
      implements org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>, Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftSourceProtocol.appendBatch_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<ThriftSourceProtocol.appendBatch_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `Status` | `success`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol.appendBatch_result()`
    `ThriftSourceProtocol.appendBatch_result(Status success)`
    `ThriftSourceProtocol.appendBatch_result(ThriftSourceProtocol.appendBatch_result other)` Performs a deep copy on other.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(ThriftSourceProtocol.appendBatch_result other)`
    `ThriftSourceProtocol.appendBatch_result` | `deepCopy()`
    `boolean` | `equals(Object that)`
    `boolean` | `equals(ThriftSourceProtocol.appendBatch_result that)`
    `ThriftSourceProtocol.appendBatch_result._Fields` | `fieldForId(int fieldId)`
    `Object` | `getFieldValue(ThriftSourceProtocol.appendBatch_result._Fields field)`
    `Status` | `getSuccess()`
    `int` | `hashCode()`
    `boolean` | `isSet(ThriftSourceProtocol.appendBatch_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSuccess()` Returns true if field success is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(ThriftSourceProtocol.appendBatch_result._Fields field, Object value)`
    `ThriftSourceProtocol.appendBatch_result` | `setSuccess(Status success)`
    `void` | `setSuccessIsSet(boolean value)`
    `String` | `toString()`
    `void` | `unsetSuccess()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### success

          public Status success

      See Also:
        `Status`

    - #### metaDataMap

          public static final Map<ThriftSourceProtocol.appendBatch_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ThriftSourceProtocol.appendBatch_result

          public ThriftSourceProtocol.appendBatch_result()

    - #### ThriftSourceProtocol.appendBatch_result

          public ThriftSourceProtocol.appendBatch_result(Status success)

    - #### ThriftSourceProtocol.appendBatch_result

          public ThriftSourceProtocol.appendBatch_result(ThriftSourceProtocol.appendBatch_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ThriftSourceProtocol.appendBatch_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### getSuccess

          public Status getSuccess()

      See Also:
        `Status`

    - #### setSuccess

          public ThriftSourceProtocol.appendBatch_result setSuccess(Status success)

      See Also:
        `Status`

    - #### unsetSuccess

          public void unsetSuccess()

    - #### isSetSuccess

          public boolean isSetSuccess()

      Returns true if field success is set (has been assigned a value) and false otherwise

    - #### setSuccessIsSet

          public void setSuccessIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(ThriftSourceProtocol.appendBatch_result._Fields field,
                           Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### getFieldValue

          public Object getFieldValue(ThriftSourceProtocol.appendBatch_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### isSet

          public boolean isSet(ThriftSourceProtocol.appendBatch_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(ThriftSourceProtocol.appendBatch_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(ThriftSourceProtocol.appendBatch_result other)

      Specified by:
        `compareTo` in interface `Comparable<ThriftSourceProtocol.appendBatch_result>`

    - #### fieldForId

          public ThriftSourceProtocol.appendBatch_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<ThriftSourceProtocol.appendBatch_result,ThriftSourceProtocol.appendBatch_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.